import type IChatViewPlugin from "@/plugins/IChatViewPlugin";

class ChatVideoViewPlugin implements IChatViewPlugin {
  icon = 'cuIcon-record'

  title = '视频通话'

  handle(chatId: string) {
    uni.navigateTo({
      url: `/plugins/video/VideoCalling?friendId=${chatId}&showVideo=true`
    })
  }
}

export default ChatVideoViewPlugin
